@extends('template.master')

@section('title', 'Contact Us Management')

@push('styles')
<style>
    .note-editable {
        min-height: 300px !important;
    }
</style>
@endpush
@section('content')
<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">Contact Us Management</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                @if ($message = Session::get('success'))
                <div class="alert alert-success alert-block">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <strong>{{ $message }}</strong>
                </div>
                @endif
                <form action="{{ route('store.contactus') }}" method="POST" enctype="multipart/form-data" id="taxo-form">
                    @csrf
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-12 form-group">
                                <label>Contact Us </label>
                                <input type="hidden" name="contact_id" value="{{  @$contact->contact_id }}" />
                                <div class="card card-outline card-info">
                                    <div class="card-body">
                                        <textarea id="contact_detail" name="contact_detail" class="summernote">{{ @$contact->contact_detail }}</textarea>
                                            @if($errors->has('contact_detail'))
                                            <div class="error">{{ $errors->first('contact_detail') }}</div>
                                            @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 form-group">
                            <button type="submit" class="btn btn-success">Save</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
@endsection
@push('child-scripts')
<script>
    $(function() {
        $('.summernote').summernote();
        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            ignore: '.note-editor *',
            rules: {
                contact_detail: {
                    required: true,
                }
            },
            messages: {
                contact_detail: {
                    required: 'Contact detail required.',
                }
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            },
            errorPlacement: function(error, element) {
                if (element.attr("class") == 'summernote') {
                    error.insertAfter(element.parent().find('.note-editor'));
                }  else {
                    element.after(error); // default error placement
                }
            }
        });
    })
</script>
@endpush
