@extends('template.master')

@section('title', 'Add/Edit App User')

@push('styles')
<style>
    .img_pre {
        width: 200px;
        height: 200px;
        padding: 10px;
    }

    .note-editable {
        min-height: 300px !important;
    }

    .modal-content>.modal-body>p>img {
        object-fit: contain;
        width: 100% !important;
        height: 100% !important;
    }

    .error {
        color: red;
    }
</style>
@endpush
@section('content')
<div class="mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h4 class="card-title" style="color: #f0ac63 !important;"><strong>{{isset(Auth::guard('app_user')->user()->app_user_id) ? 'Edit Profile':'Add/Edit App User'}}</strong></h4>
                    @if(isset(Auth::guard('app_user')->user()->app_user_id))
                    @else
                        <a href="{{ route('app.user.index') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Back</a>
                    @endif
                </div>
                <?php $url; ?>
                @if(isset(Auth::guard('app_user')->user()->app_user_id))
                    <?php 
                        $url = route('app-user-update.update',Auth::guard('app_user')->user()->app_user_id);
                    ?>
                @else
                    <?php
                       $url =  isset($appUser) && !empty($appUser->app_user_id) ? route('app.user.update',$appUser->app_user_id) :  route('app.user.store')
                    ?>
                @endif
                <div class="card-body">
                    <form class="form" id="taxo-form" action="{{ $url }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        @if(isset($appUser) && !empty($appUser->app_user_id))
                        <input type="hidden" name="_method" value="PUT" />
                        <input type="hidden" name="app_user_id" value="{{$appUser->app_user_id}}" id="app_user_id" />
                        @endif
                        @if(isset($appUser) && ($appUser->group_subscription_id != 0 || $appUser->group_subscription_id != null))
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="mt-2">Group Subscription : </label> Yes
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="mt-2">Group Company Name : </label> {{$groupName}}
                                </div>
                            </div>
                        </div>
                        @endif
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="assistant_phone_no" class="mt-2">Company <span class="text-danger">*</span></label>
                                    <select id='company' name="company" class="form-control {{isset($appUser) && $appUser->group_subscription_id != null ? "disabled" : ''}}" {{ isset($appUser) && $appUser->group_subscription_id != null ? "disabled" : ''}}>
                                        <option value="">--Select Company--</option>
                                        @foreach($company as $company_id => $company_name)
                                        <option value="{{$company_id}}" {{ $company_id ==  ((isset($appUser) && !empty($appUser->company)) ? $appUser->company : old('company')) ?  'selected' : ''}}>{{$company_name}}</option>
                                        @endforeach
                                    </select>
                                    @if($errors->has('company'))
                                    <div class="error">{{ $errors->first('company') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="first_name" class="mt-2">First Name <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="first_name" name="first_name" placeholder="First Name" value="{{ (isset($appUser) && !empty($appUser->first_name)) ? $appUser->first_name : old('first_name') }}">
                                    @if($errors->has('first_name'))
                                    <div class="error">{{ $errors->first('first_name') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="last_name" class="mt-2">Last Name <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="last_name" name="last_name" placeholder="Last Name" value="{{ (isset($appUser) && !empty($appUser->last_name)) ? $appUser->last_name : old('last_name') }}">
                                    @if($errors->has('last_name'))
                                    <div class="error">{{ $errors->first('last_name') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="email" class="mt-2">Email <span class="text-danger">*</span></label>
                                    <input type="email" class="form-control" id="email" name="email" placeholder="Email" value="{{ (isset($appUser) && !empty($appUser->email)) ? $appUser->email : old('email') }}">
                                    @if($errors->has('email'))
                                    <div class="error">{{ $errors->first('email') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="title" class="mt-2">Job Title <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="title" name="title" placeholder="Job Title" value="{{ (isset($appUser) && !empty($appUser->title)) ? $appUser->title : old('title') }}">
                                    @if($errors->has('title'))
                                    <div class="error">{{ $errors->first('title') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="password" class="mt-2">Password <span class="text-danger">*</span></label>
                                    <input type="password" class="form-control" id="password" name="password" placeholder="password">
                                    @if($errors->has('password'))
                                    <div class="error">{{ $errors->first('password') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="confim_password" class="mt-2">Confim Password <span class="text-danger">*</span></label>
                                    <input type="password" class="form-control" id="confim_password" name="confim_password" placeholder="Confim Password">
                                    @if($errors->has('confim_password'))
                                    <div class="error">{{ $errors->first('confim_password') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="country_code" class="mt-2">Country Code <span class="text-danger">Default considered as US (+1)</span></label>
                                    <select id='country_code' name="country_code" class="form-control">
                                        @foreach($country as $short_code => $short_name)
                                        <option value="{{$short_code}}" {{ $short_code ==  ((isset($appUser) && !empty($appUser->country_code)) ? $appUser->country_code : 'US') ?  'selected' : ''}}>{{$short_name}}</option>
                                        @endforeach
                                    </select>
                                    @if($errors->has('country_code'))
                                    <div class="error">{{ $errors->first('country_code') }}</div>
                                    @endif
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="phone_no" class="mt-2">Phone <span class="text-danger">*</span></label>
                                    <input type="number" class="form-control" id="phone_no" name="phone_no" placeholder="Phone" value="{{ (isset($appUser) && !empty($appUser->phone_no)) ? $appUser->phone_no : old('phone_no') }}">
                                    @if($errors->has('phone_no'))
                                    <div class="error">{{ $errors->first('phone_no') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="assistant_name" class="mt-2">Assistant Name</label>
                                    <input type="text" class="form-control" id="assistant_name" name="assistant_name" placeholder="Assistant Name" value="{{ (isset($appUser) && !empty($appUser->assistant_name)) ? $appUser->assistant_name : old('assistant_name') }}">
                                    @if($errors->has('assistant_name'))
                                    <div class="error">{{ $errors->first('assistant_name') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="assistant_email" class="mt-2">Assistant Email</label>
                                    <input type="email" class="form-control" id="assistant_email" name="assistant_email" placeholder="Assistant Email" value="{{ (isset($appUser) && !empty($appUser->assistant_email)) ? $appUser->assistant_email : old('assistant_email') }}">
                                    @if($errors->has('assistant_email'))
                                    <div class="error">{{ $errors->first('assistant_email') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="country_code" class="mt-2">Assistant Country Code <span class="text-danger">Default considered as US (+1)</span></label>
                                    <select id='assistant_country_code' name="assistant_country_code" class="form-control">
                                        @foreach($country as $short_code => $short_name)
                                        <option value="{{$short_code}}" {{ $short_code ==  ((isset($appUser) && !empty($appUser->assistant_country_code)) ? $appUser->assistant_country_code : 'US') ?  'selected' : ''}}>{{$short_name}}</option>
                                        @endforeach
                                    </select>
                                    @if($errors->has('assistant_country_code'))
                                    <div class="error">{{ $errors->first('assistant_country_code') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="assistant_phone_no" class="mt-2">Assistant Phone</label>
                                    <input type="number" class="form-control" id="assistant_phone_no" name="assistant_phone_no" placeholder="Assistant Phone" value="{{ (isset($appUser) && !empty($appUser->assistant_phone_no)) ? $appUser->assistant_phone_no : old('assistant_phone_no') }}">
                                    @if($errors->has('assistant_phone_no'))
                                    <div class="error">{{ $errors->first('assistant_phone_no') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="business_interests" class="mt-2">Business Interests</label>
                                    <select id='business_interests' name="business_interests[]" class="form-control select2" multiple="multiple" data-placeholder="Select Business Interests">
                                        @foreach($interest as $interest_id => $interest_name)
                                            <option value="{{$interest_id}}" {{ (isset($appUser) && !empty($appUser->business_interests)) ? (in_array($interest_id, explode(',', $appUser->business_interests)) ?  'selected' : '') : (old('business_interests') == $interest_id ? 'selected'  : '') }}>{{$interest_name}}</option>
                                        @endforeach
                                    </select>
                                    @if($errors->has('business_interests'))
                                    <div class="error">{{ $errors->first('business_interests') }}</div>
                                    @endif
                                    @if($errors->has('business_interests'))
                                    <div class="error">{{ $errors->first('business_interests') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="mailing_address" class="mt-2">Mailing Address <span class="text-danger">*</span></label>
                                    <textarea class="form-control" id="mailing_address" name="mailing_address" placeholder="Mailing Address">@if(isset($appUser) && !empty($appUser->mailing_address)) {{$appUser->mailing_address}}@else{{old('mailing_address')}}@endif</textarea>
                                    @if($errors->has('mailing_address'))
                                    <div class="error">{{ $errors->first('mailing_address') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="spouse_name" class="mt-2">Spouse Name</label>
                                    <input type="text" class="form-control" id="spouse_name" name="spouse_name" placeholder="Spouse Name" value="{{ (isset($appUser) && !empty($appUser->spouse_name)) ? $appUser->spouse_name : old('spouse_name') }}">
                                    @if($errors->has('spouse_name'))
                                    <div class="error">{{ $errors->first('spouse_name') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="spouse_birthday" class="mt-2">Spouse Birthday</label>
                                    <input type="text" class="form-control" id="spouse_birthday" name="spouse_birthday" placeholder="Spouse Birthday" value="{{ (isset($appUser) && !empty($appUser->spouse_birthday)) ? $appUser->spouse_birthday : old('spouse_birthday') }}">
                                    @if($errors->has('spouse_birthday'))
                                    <div class="error">{{ $errors->first('spouse_birthday') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="subscription_id" class="mt-2">Subscription Level</label>
                                    <select id='subscription_id' name="subscription_id" class="form-control">
                                        <option value="">--Select Subscription--</option>
                                        @foreach($subscriptions as $subscription_id => $subscription_name)
                                        <option value="{{$subscription_id}}" {{ $subscription_id ==  ((isset($appUser) && !empty($appUser->subscription_id)) ? $appUser->subscription_id : old('subscription_id')) ?  'selected' : ''}}>{{$subscription_name}}</option>
                                        @endforeach
                                    </select>
                                    @if($errors->has('subscription_id'))
                                    <div class="error">{{ $errors->first('subscription_id') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="subscription_start_date" class="mt-2">Start Date</label>
                                    <input type="text" class="form-control" id="subscription_start_date" name="subscription_start_date" placeholder="Start Date" value="{{ (isset($appUser) && !empty($appUser->subscription_start_date)) ? $appUser->subscription_start_date : old('subscription_start_date') }}">
                                    @if($errors->has('subscription_start_date'))
                                    <div class="error">{{ $errors->first('subscription_start_date') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <label for="assistant_phone_no" class="mt-2">Subscription Type</label>
                                <div class="form-group clearfix">
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="subscription_type" value="1" id="radioSuccess1" {{  ((isset($appUser->subscription_type)) && @$appUser->subscription_type==1)? "checked" : "" }}>
                                        <label for="radioSuccess1">
                                            Monthly
                                        </label>
                                    </div>
                                    <div class="icheck-danger d-inline">
                                        <input type="radio" name="subscription_type" value="2" id="radioDanger2" {{ (isset($appUser->subscription_type)) && @$appUser->subscription_type ==2? "checked" : "" }}>
                                        <label for="radioDanger2">
                                            Yearly
                                        </label>
                                    </div>
                                    <div class="error" id="subscription_type-err">
                                    @if($errors->has('subscription_type'))
                                        {{ $errors->first('subscription_type') }}
                                    @endif
                                </div>
                            </div>
                                <div id=""></div>
                            </div>
                            <div class="col-sm-6">
                                <label for="assistant_phone_no" class="mt-2">Status</label>
                                <div class="form-group clearfix">
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="app_user_status" value="1" id="radioSuccess3" {{  ((isset($appUser->app_user_status)) && @$appUser->app_user_status == 1) ? "checked" : "" }} >
                                        <label for="radioSuccess3">
                                            Active
                                        </label>
                                    </div>
                                    <div class="icheck-danger d-inline">
                                        <input type="radio" name="app_user_status" value="0" id="radioDanger4" {{ ((isset($appUser->app_user_status)) && @$appUser->app_user_status == 0) ? "checked" : "" }}>
                                        <label for="radioDanger4">
                                            Inactive
                                        </label>
                                    </div>
                                    <div class="error" id="app_user_status-err">
                                        @if($errors->has('app_user_status'))
                                            {{ $errors->first('app_user_status') }}
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 media_image">
                                <div class="form-group">
                                    <label for="exampleInputName1" class="mt-2"><b>Profile Image</b></label>
                                    <input type="file" class="form-control" id="profile_img" name="profile_img" placeholder="Image" accept="image/png, image/gif, image/jpeg" multiple>
                                    <input type="hidden" value="" name="remove_profile_flag" id="remove_profile_flag">
                                </div>
                                <div class="row" id="preview-container">
                                    @if(isset($appUser->profile_img) && $appUser->profile_img != '' )
                                    <div class="col-sm-2" style="text-align:center;">
                                        <a href="javascript:;" class="removeuplode">Remove</a>
                                        <img src="{{  url('/profile_image/' .$appUser->profile_img) }}" style="width:200px;height:200px;padding:10px;">
                                    </div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="birthday" class="mt-2">Birthday</label>
                                    <input type="text" class="form-control" id="birthday" name="birthday" placeholder="Birthday" value="{{ (isset($appUser) && !empty($appUser->birthday)) ? $appUser->birthday : old('birthday') }}">
                                    @if($errors->has('birthday'))
                                    <div class="error">{{ $errors->first('birthday') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        @if(!empty($childern))
                        <div class="demo-wrap" id="simple-clone">
                        <label for="assistant_phone_no" class="mt-2">Children</label>
                            @foreach($childern as $key => $val)
                            <div class="row toclone">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input type="text" class="form-control" name="child_name[]" placeholder="Child Name" value="{{ $val['name'] }}">
                                        @if($errors->has('child_name'))
                                        <div class="error">{{ $errors->first('child_name') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input type="text" class="form-control child_birthday" name="child_birthday[]" placeholder="Child Birthday" value="{{ $val['birthday'] }}">
                                        @if($errors->has('child_birthday'))
                                        <div class="error">{{ $errors->first('child_birthday') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <a href="javascript:;" class="link-warning clone" style="color:#0dcaf0; font-weight:bold; padding-right:5px;">Add</a>
                                <a href="javascript:;" class="link-danger delete" style="color: #d73038; font-weight:bold;">Delete</a>
                            </div>
                            @endforeach
                        </div>
                        @else
                        <div class="demo-wrap" id="simple-clone">
                            <label for="assistant_phone_no" class="mt-2">Children</label>
                            <div class="row toclone">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input type="text" class="form-control" name="child_name[]" placeholder="Child Name" value="">
                                        @if($errors->has('child_name'))
                                        <div class="error">{{ $errors->first('child_name') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input type="text" class="form-control child_birthday" name="child_birthday[]" placeholder="Child Birthday" value="">
                                        @if($errors->has('child_birthday'))
                                        <div class="error">{{ $errors->first('child_birthday') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <a href="javascript:;" class="link-warning clone" style="color:#0dcaf0; font-weight:bold; padding-right:5px;">Add</a>
                                <a href="javascript:;" class="link-danger delete" style="color: #d73038; font-weight:bold;">Delete</a>
                            </div>
                        </div>
                        @endif
                        <button type="submit" class="btn mr-2 mt-5" id="submitTaxo" style="background: #000000;color: #f0ac63 !important;">Submit</button>
                        @if(isset(Auth::guard('app_user')->user()->app_user_id))
                    @else
                     <a href="{{ route('app.user.index') }}" class="btn btn-light mt-5">Cancel</a>
                    @endif
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('child-scripts')
<script type="text/javascript" language="javascript" src="{{ asset('plugins/jquery-cloneya.js') }}"></script>

<script>
    $(function() {

        document.getElementById('profile_img').addEventListener('change', function(event) {
            var previewContainer = document.getElementById('preview-container');
            previewContainer.innerHTML = ''; // Clear any existing previews

            var files = event.target.files;
            for (var i = 0; i < files.length; i++) {
                var file = files[i];
                var reader = new FileReader();

                var el = document.createElement('div');
                el.classList.add('col-sm-2');
                el.setAttribute('style', 'text-align:center');
                el.innerHTML = '<a href="javascript:;"  class="remove">Remove</a>';

                reader.onload = function(e) {
                    var imageElement = document.createElement('img');
                    imageElement.src = e.target.result;
                    imageElement.classList.add('preview-image');
                    imageElement.classList.add('img_pre');
                    el.appendChild(imageElement);
                    previewContainer.appendChild(el);
                }

                reader.readAsDataURL(file);
            }
        });
        $(document).on('click', '.remove', function() {
            $(this).parent().remove();
            $('#profile_img').val('');
        });
        $(document).on('click', '.removeuplode', function() {
            var remove_image = $('#remove_profile_flag').val(1);
            $(this).parent().remove();
        });
        $('.select2').select2();
        $('#simple-clone').cloneya().on('after_append.cloneya', function(event, toclone, newclone) {
            newclone.find(".child_birthday").removeClass('hasDatepicker')
                .datepicker({
                    maxDate: '0',
                    dateFormat: "yy-mm-dd",
                    changeMonth: true,
                    changeYear: true,
                    yearRange: "c-100:c+nn"
                });
            newclone.find('.delete').show();
        });

        $("#subscription_start_date").datepicker({
            minDate: 0,
            dateFormat: "yy-mm-dd"
        });
        $("#birthday, #spouse_birthday, .child_birthday").datepicker({
            maxDate: '0',
            dateFormat: "yy-mm-dd",
            changeMonth: true,
            changeYear: true,
            yearRange: "c-100:c+nn"
        });
        $.validator.addMethod(
            "validPhone",
            function(value, element) {
                return this.optional(element) || /^[0-9\s-]+$/.test(value);
            },
            "Please enter a valid phone number."
        );
        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            ignore: '.note-editor *, disabled',
            rules: {
                first_name: {
                    required: true,
                    maxlength: 255,
                },
                last_name: {
                    required: true,
                    maxlength: 255,
                },
                company: {
                    required: true,
                    maxlength: 255,
                },
                email: {
                    required: true,
                    email: true,
                    maxlength: 255,
                },
                phone_no: {
                    required: true,
                    minlength: 10,
                    maxlength: 10
                },
                password: {
                    required: {
                        depends: function(element) {
                            return ($("#app_user_id").val() == '');
                        },
                    },
                    minlength: 8,
                    maxlength: 255,
                    pattern: /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{8,}$/,
                },
                confim_password: {
                    required: {
                        depends: function(element) {
                            return ($("#app_user_id").val() == '');
                        },
                    },
                    maxlength: 255,
                    equalTo: "#password"
                },
                title: {
                    required: true,
                    maxlength: 255
                },
                mailing_address: {
                    required: true,
                },
                assistant_name: {
                    maxlength: 255
                },
                assistant_email: {
                    email: true,
                    maxlength: 255
                },
                assistant_phone_no: {
                    minlength: 10,
                    maxlength: 10,
                    validPhone: true,
                },
                subscription_id: {
                    required: {
                        depends: function(element) {
                            return ($("#subscription_start_date").val() != '' || typeof  $("input[name='subscription_type']:checked").val() !== 'undefined');
                        },
                    },
                },
                subscription_start_date: {
                    required: {
                        depends: function(element) {
                            return ($("#subscription_id").val() != '' || typeof  $("input[name='subscription_type']:checked").val() !== 'undefined');
                        },
                    },
                },
                subscription_type: {
                    required: {
                        depends: function(element) {
                            return ($("#subscription_id").val() != '' || $("#subscription_start_date").val() != '');
                        },
                    },
                },
                app_user_status: {
                    required: true,
                },
            },
            messages: {
                first_name: {
                    required: 'First name required.',
                },
                last_name: {
                    required: 'Last name required.',
                },
                company: {
                    required: 'Company required.',
                },
                email: {
                    required: 'Email required.',
                },
                phone_no: {
                    required: 'Phone required.',
                },
                password: {
                    required: 'Password required.',
                    minlength: 'Min 8 Character required.s',
                    pattern: "Password must have at least one uppercase letter, one lowercase letter, one digit, one special character",
                },
                c_password: {
                    required: 'Confirm Password required.',
                    equalTo: 'Password and Confirm Password  must be same.'
                },
                title: {
                    required: 'Job Title required.',
                },
                mailing_address: {
                    required: 'Mailing Address required.',
                },
                assistant_name: {
                    required: 'Assistant name required.',
                },
                assistant_email: {
                    required: 'Assistant Email required.',
                },
                assistant_phone_no: {
                    required: 'Assistant Phone No required.',
                },
                subscription_id: {
                    required: 'Subscription level required.',
                },
                subscription_start_date: {
                    required: 'Start date required.',
                },
                subscription_type: {
                    required: 'Subscription type required.',
                },
                app_user_status: {
                    required: 'App user status required.',
                },
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            },
            errorPlacement: function(error, element) {
                if (element.hasClass('summernote')) {
                    error.insertAfter(element.parent().find('.note-editor'));
                } else if(element.attr('name') == 'subscription_type'){
                    $('#subscription_type-err').html(error);
                } else if(element.attr('name') == 'app_user_status'){
                    $('#app_user_status-err').html(error);
                }else {
                    element.after(error); // default error placement
                }
            }
        });
        $("#taxo-form").submit(function() {
            $("#company").prop("disabled", false);
        });
    })
</script>
@endpush
