@extends('template.master')

@section('title', 'Digest Setting Management')

@section('content')
<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h4 class="card-title" style="color: #f0ac63 !important;">Digest Setting Management</h4>
                    <a href="{{ route('digest.settings') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Back</a>
                </div>
                <div class="card-body">
                    @if ($message = Session::get('success'))
                    <div class="alert alert-success alert-block">
                        <button type="button" class="close" data-dismiss="alert">×</button>
                        <strong>{{ $message }}</strong>
                    </div>
                    @endif

                    @if (count($errors) > 0)
                    <div class="alert alert-danger">
                        <strong>Whoops!</strong> There were some problems with your input.
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                    @endif
                    <div class="row">

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="exampleInputName2" class="mt-2"><b>Last Email Date : </b></label>

                                @if(@$email_date->e_date!=null)

                                {{ date('d-m-Y', strtotime(@$email_date->e_date)) }}
                                @endif
                            </div>
                        </div>
                    </div>
                    <form class="form" id="taxo-form" action="{{ route('store.digest') }}" method="POST" enctype="multipart/form-data">
                        @csrf

                        <input type="hidden" name="ds_id" value="{{  @$digest_setting->ds_id }}">
                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputName1" class="mt-2"><b>Day</b> <span class="text-danger">*</span></label>
                                    <select class="select2" id="day" data-placeholder="Select a Day" style="width: 100%;" name="day">
                                        <option value="">Select Day</option>
                                        <option value="Monday" @php if(@$digest_setting->day=="Monday"){ echo "selected"; } @endphp>Monday</option>
                                        <option value="Tuesday" @php if(@$digest_setting->day=="Tuesday"){ echo "selected"; } @endphp>Tuesday</option>
                                        <option value="Wednesday" @php if(@$digest_setting->day=="Wednesday"){ echo "selected"; } @endphp>Wednesday</option>
                                        <option value="Thursday" @php if(@$digest_setting->day=="Thursday"){ echo "selected"; } @endphp>Thursday</option>
                                        <option value="Friday" @php if(@$digest_setting->day=="Friday"){ echo "selected"; } @endphp>Friday</option>
                                        <option value="Saturday" @php if(@$digest_setting->day=="Saturday"){ echo "selected"; } @endphp>Saturday</option>
                                        <option value="Sunday" @php if(@$digest_setting->day=="Sunday"){ echo "selected"; } @endphp>Sunday</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <!-- time Picker -->
                                <div class="bootstrap-timepicker">
                                    <div class="form-group">
                                        <label class="mt-2">Time picker</label>

                                        <div class="input-group date pdate" id="timepicker" data-target-input="nearest">
                                            <input type="text" name="time" class="form-control datetimepicker-input" data-target="#timepicker" value="{{  @$digest_setting->time }}" />
                                            <div class="input-group-append" data-target="#timepicker" data-toggle="datetimepicker">
                                                <div class="input-group-text"><i class="far fa-clock"></i></div>
                                            </div>
                                        </div>
                                        <!-- /.input group -->
                                    </div>
                                    <!-- /.form group -->
                                </div>
                            </div>

                        </div>

                        <button type="submit" class="btn mr-2 mt-5" id="submitTaxo" style="background: #000000;color: #f0ac63 !important;">Submit</button>

                        <a href="{{ route('articles.list') }}" class="btn btn-light mt-5">Cancel</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        $('.select2').select2();
        //Initialize Select2 Elements
        $('.select2bs4').select2({
            theme: 'bootstrap4',
        });
        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            ignore: '.note-editor *',
            rules: {
                day: {
                    required: true,
                    maxlength: 255
                },
                time: {
                    required: true,
                }
            },
            messages: {
                day: {
                    required: 'Day required.',
                },
                time: {
                    required: 'Time required.',
                }
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            },
            errorPlacement: function(error, element) {
                if (element.attr("name") == 'day') {
                    error.insertAfter(element.parent().find('.select2-container'));
                } else {
                    element.after(error); // default error placement
                }
            }
        });
        //Timepicker

        $('#timepicker').datetimepicker({
            format: 'H:mm'
        })
    });
</script>
@endpush
