@extends('template.master')

@section('title', 'Add/Edit Event')

@push('styles')
<style>
    .note-editable {
        min-height: 300px !important;
    }
</style>
@endpush
@section('content')
<div class="mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h4 class="card-title" style="color: #f0ac63 !important;"><strong>Add/Edit Event</strong></h4>
                    <a href="{{ route('event.index') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Back</a>
                </div>
                <div class="card-body">
                    <form class="form" id="taxo-form" action="{{ isset($event) && !empty($event->event_id ) ? route('event.update',$event->event_id) :  route('event.store') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        @if(isset($event) && !empty($event->event_id))
                        <input type="hidden" name="_method" value="PUT" />
                        <input type="hidden" name="event_id" value="{{$event->event_id}}" />
                        @endif
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="event_name" class="mt-2">Name <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="event_name" name="event_name" value="{{ (isset($event) && !empty($event->event_name)) ? $event->event_name : old('event_name') }}" placeholder="Name">
                                    @if($errors->has('event_name'))
                                    <div class="error">{{ $errors->first('event_name') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="event_date" class="mt-2">Date <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="event_date" name="event_date" value="{{ (isset($event) && !empty($event->event_date)) ? $event->event_date : old('event_date') }}" placeholder="Date">
                                    @if($errors->has('event_date'))
                                    <div class="error">{{ $errors->first('event_date') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="event_detail" class="mt-2">Detail <span class="text-danger">*</span></label>
                                    <textarea class="form-control" id="event_detail" name="event_detail">@if(isset($event) && !empty($event->event_detail)){{$event->event_detail}}@else{{old('event_detail')}}@endif</textarea>
                                    @if($errors->has('event_detail'))
                                    <div class="error">{{ $errors->first('event_detail') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="hash_tags" class="mt-2">Hashtag <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="hash_tags" name="hash_tags" value="{{ (isset($event) && !empty($event->hash_tags)) ? $event->hash_tags : old('hash_tags') }}" placeholder="Hashtag">
                                    @if($errors->has('hash_tags'))
                                    <div class="error">{{ $errors->first('hash_tags') }}</div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="event_email_subject" class="mt-2">Email Subject <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="event_email_subject" name="event_email_subject" placeholder="Event Subject" value="{{ (isset($event) && !empty($event->event_email_subject)) ? $event->event_email_subject : old('event_email_subject') }}">
                                    @if($errors->has('event_email_subject'))
                                    <div class="error">{{ $errors->first('event_email_subject') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="event_email_body" class="mt-2">Email Body <span class="text-danger">*</span></label>
                                    <textarea class="form-control" id="event_email_body" name="event_email_body">@if(isset($event) && !empty($event->event_email_body)){{$event->event_email_body}}@else{{old('event_email_body')}}@endif</textarea>
                                    @if($errors->has('event_email_body'))
                                    <div class="error">{{ $errors->first('event_email_body') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <label for="event_status" class="mt-2">Status</label>
                                <div class="form-group clearfix">
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="event_status" value="1" id="radioSuccess1" {{  (isset($event->event_status)) && @$event->event_status==1? "checked" : "" }} checked>
                                        <label for="radioSuccess1">
                                            Active
                                        </label>
                                    </div>
                                    <div class="icheck-danger d-inline">
                                        <input type="radio" name="event_status" value="0" id="radioDanger2" {{ (isset($event->event_status)) && @$event->event_status==0? "checked" : "" }}>
                                        <label for="radioDanger2">
                                            Inactive
                                        </label>
                                    </div>
                                    @if($errors->has('event_status'))
                                    <div class="error">{{ $errors->first('event_status') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn mr-2 mt-5" id="submitTaxo" style="background: #000000;color: #f0ac63 !important;">Submit</button>
                        <a class="btn btn-light mt-5" href="{{url('/event')}}">Cancel</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(function() {
        $("#event_date").datepicker({
            minDate : 0,
            dateFormat: "yy-mm-dd"
        });
        $('#event_detail, #event_email_body').summernote()

        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            ignore: '.note-editor *',
            rules: {
                event_name: {
                    required: true,
                    maxlength: 255
                },
                event_date: {
                    required: true,
                },
                event_detail: {
                    required: true,
                },
                event_email_subject: {
                    required: true,
                    maxlength: 255
                },
                event_email_body: {
                    required: true,
                },
                hash_tags: {
                    required: true,
                    maxlength: 255
                }
            },
            messages: {
                event_name: {
                    required: 'Name required.',
                },
                event_date: {
                    required: 'Date required.',
                },
                event_detail: {
                    required: 'Detail required.',
                },
                event_email_subject: {
                    required: 'Email subject required.',
                },
                event_email_body: {
                    required: 'Email body required.',
                },
                hash_tags: {
                    required: 'HashTag required.',
                }
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            },
            errorPlacement: function(error, element) {
                if (element.attr("name")  == 'event_detail') {
                    error.insertAfter(element.parent().find('.note-editor'));
                }else if (element.attr("name")  == 'event_email_body') {
                    error.insertAfter(element.parent().find('.note-editor'));
                } else {
                    element.after(error); // default error placement
                }
            }
        });
    })
</script>
@endpush
