@extends('template.master')

@section('title', 'Event Management')

@push('styles')
<style>
    .dataTable {
        width: none !important;
    }

    .modal-content>.modal-body>p>img {
        object-fit: contain;
        width: 100% !important;
        height: 100% !important;
    }
</style>
@endpush
@section('content')

<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">Event Management</h3>
                    <a href="{{ route('event.create') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Add</a>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                    @if(session()->has('message'))
                    <div class="alert alert-success alert-dismissible">
                        {{ session()->get('message') }}
                    </div>
                    @endif
                    <div class="row my-2">
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Name </strong></label>
                            <input type="text" name="event_name" id="event_name" class="form-control" placeholder="Search Name">
                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Date </strong></label>
                            <input type="date" name="event_date" id="event_date" class="form-control">
                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Detail </strong></label>
                            <input type="text" name="event_detail" id="event_detail" class="form-control" placeholder="Search Detail">

                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Hashtag</strong></label>
                            <input type="text" name="hash_tags" id="hash_tags" class="form-control" placeholder="Search Hashtag">
                        </div>
                    </div>
                    <div class="table-responsive">
                    <table class="table table-bordered dt-responsive display" id="example" style="width:none !important">
                        <thead>
                            <tr>
                                <!-- <th style="width: 10px;" class="never">Event Id.</th>
                                <th class="all">No.</th> -->
                                <th class="all" width="10%">Action</th>
                                <th class="all" width="10%">Date</th>
                                <th class="all" width="20%">Name</th>
                                <th class="desktop" width="30%">Detail</th>
                                <th class="desktop" width="20%">Hashtag</th>
                                <th class="desktop" width="10%">Status</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
        </div>
    </div>
</div>
<div class="modal fade" id="sendMail" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Preview</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

@endsection
@push('child-scripts')
<script>
    $('#exampleModal').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget)
        var event_id = button.data('event_id')
        var modal = $(this)
        $.ajax({
            url: '{{ route('event.preview.ajax') }}',
            type: 'POST',
            data: {
                "_token": "{{ csrf_token() }}",
                event_id: event_id,
            },
            success: function(response) {
                modal.find('.modal-dialog').html(response.event_data)
            },
            error: function(xhr, status, error) {
                // Handle any errors
            }
        });
    });
    $('#sendMail').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget)
        var event_id = button.data('event_id')
        var modal = $(this)
        $.ajax({
            url: '{{ route('event.send.mail.overlay.ajax') }}',
            type: 'POST',
            data: {
                "_token": "{{ csrf_token() }}",
                event_id: event_id,
            },
            success: function(response) {
                modal.find('.modal-dialog').html(response.html)
            },
            error: function(xhr, status, error) {
                // Handle any errors
            }
        });
    })
</script>
<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        let table = $('#example').DataTable({
            columnDefs: [{
                "defaultContent": "-",
                "targets": "_all"
            }],
            processing: true,
            serverSide: true,
            searching: false,
            info: false,
            paging : true,
            lengthChange : true,
            autoWidth : true,
            responsive:true,
            order:[1, 'asc'],
            ajax: {
                url: "{{ route('event.ajax.list') }}",
                method: "POST",
                data: function(d) {
                    d.event_date = $('#event_date').val();
                    d.event_detail = $('#event_detail').val();
                    d.hash_tags = $('#hash_tags').val();
                    d.event_name = $('#event_name').val();
                }
            },
            columns: [
                {
                    data: 'action',
                    name: 'action',
                    orderable: false
                },
                {
                    data: 'event_date',
                    name : 'event_date'
                },
                {
                    data: 'event_name',
                    name: 'event_name'
                },
                {
                    data: 'event_detail',
                    name: 'event_detail'
                },
                {
                    data: 'hash_tags',
                    name: 'hash_tags'
                },
                {
                    data: 'event_status',
                    name: 'event_status'
                }
            ]

        });
        table.column(1).visible(false);

        $('#event_date, #event_detail, #hash_tags, #event_email_subject, #event_name').change(function() {
            redrawTable(table);
        });
    });

    function redrawTable(table) {
        table.draw();
    }

    function deleteRecord(obj) {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        var userURL = obj.data('url');
        var r = confirm("Are you sure you want to remove this Event?");
        if (r == true) {
            $('#delete_' + userURL).submit()
        }
    }
</script>
@endpush
