<div id="sendMail">
    <form class="form" id="taxo-form" id="searchfrm">
        <input type="hidden" value="{{$event_id}}" name="event_id" id="event_id">
        <div class="table-responsive">
            <table class="table table-bordered" id="searchDatatable" style="width:none !important">
                <thead>
                    <tr>
                        <th width="5%" class="dt-body-center"><input type="checkbox" name="emails[]" id="example-select-all" class="call-checkbox"></th>
                        <th width="15%">Job Title</th>
                        <th width="15%">Full Name</th>
                        <th width="15%">Email</th>
                        <th width="15%">Company</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($appUserDetail as $row)
                    <tr>
                        <td><input type="checkbox" name="emails[]" value="{{$row->email}}" class="call-checkbox"></td>
                        <td>{{ $row->title }}</td>
                        <td>{{ $row->first_name . ' '. $row->last_name}}</td>
                        <td>{{ $row->email }}</td>
                        <td>{{ $row->company_name }}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </form>
    <button type="submit" class="btn mr-2 mt-5" id="sendMailBtn" style="background: #000000;color: #f0ac63 !important;">Send Mail</button>
    <button type="button" class="btn btn-secondary mr-2 mt-5" data-dismiss="modal">Close</button>
</div>
<script>
    $(document).ready(function() {
        $("#sendMail #sendMailBtn").prop('disabled', true);


        var table = $('#searchDatatable').DataTable({
            'columnDefs': [{
                'targets': 0,
                'searchable': false,
                'orderable': false
            }],
            'order': [
                [1, 'asc']
            ],
            info: false,
            paging: true,
        });

        $('#example-select-all').on('click', function() {
            var rows = table.rows({
                'search': 'applied'
            }).nodes();
            $('input[type="checkbox"]', rows).prop('checked', this.checked);
        });

        $('#searchDatatable tbody').on('change', 'input[type="checkbox"]', function() {
            if (!this.checked) {
                var el = $('#example-select-all').get(0);
                if (el && el.checked && ('indeterminate' in el)) {
                    el.indeterminate = true;
                }
            }
        });

        $("#sendMail #sendMailBtn").click(function(e) {

            var rowcollection = table.$(".call-checkbox:checked", {
                "page": "all"
            });
            var values = new Array();
            rowcollection.each(function(index, elem) {
                var checkbox_value = $(elem).val();
                values.push(checkbox_value);
                });

            e.preventDefault();
            e.stopPropagation();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            console.log(values);
            $.ajax({
                url: "{{  route('event.send.mail.ajax') }}",
                type: 'POST',
                data: {
                    event_id: $('#event_id').val(),
                    emails: values
                },
                success: function(data) {
                    $('#error-msg ul').html('');
                    $('#success-msg ul').html('');
                    if ($.isEmptyObject(data.error)) {
                        var success = data.success;
                        $('#success-msg ul').append('<li>' + success + '</li>');
                        $('#success-msg').show();
                        setTimeout(function() {
                            location.reload();
                        }, 3000)

                    } else {
                        var error = data.error;
                        console.log(error);
                        $('#error-msg ul').append('<li>' + error + '</li>');
                        $('#error-msg').show();
                    }
                }
            });
        });

        $(document).on('change', '#searchDatatable input[type="checkbox"]', function(e) {
            e.preventDefault();
            var rowcollection = table.$(".call-checkbox:checked", {
                "page": "all"
            });
            var values = new Array();
            rowcollection.each(function(index, elem) {
                var checkbox_value = $(elem).val();
                values.push(checkbox_value);
            });

            if(values.length > 0){
                $("#sendMail #sendMailBtn").prop('disabled', false);
            } else {
                $("#sendMail #sendMailBtn").prop('disabled', true);
            }
        });
    });
</script>
