<div class="modal-content">
    <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Import User</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="alert alert-danger" id="error-msg" style="display:none;">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <ul></ul>
        </div>
        <div class="alert alert-success" id="success-msg" style="display:none;">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <ul></ul>
        </div>
        <form class="form" id="importCsvFrm" enctype="multipart/form-data">
            <input type="hidden" value="{{$group_subscription_id}}" name="group_subscription_id" id="group_subscription_id">
            <div class="row">
                <div class="col-md-12">
                    <a type="button" class="float-right" download href="{{ asset('import-csv/DownloadTemplate.csv') }}">Download Template</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="exampleInputName1"><b>Import User </b>  <span class="text-danger">*</span></label>
                        <input type="file" class="form-control" id="import_user" name="import_user" style="border:none;" accept=".csv">
                        <p style="color:red;font-size:12px;display:block;" class="error"></p>
                        <p style="color:red;font-size:12px;">Note: Please upload only .csv file.</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="exampleInputName1"><b>Subscription Level </b>  <span class="text-danger">*</span></label>
                        <select id='subscription_id' name="subscription_id" class="form-control">
                            <option value="">Select Subscription</option>
                            @foreach($subscriptions as $subscription_id => $subscription_name)
                            <option value="{{$subscription_id}}">{{$subscription_name}}</option>
                            @endforeach
                        </select>
                        <p style="color:red;font-size:12px;display:block;" class="error"></p>
                    </div>
                </div>
            </div>
            <button type="submit" class="btn mr-2 mt-5" id="importCsvBtn" style="background: #000000;color: #f0ac63 !important;">Import</button>
            <button type="button" class="btn btn-secondary mr-2 mt-5" data-dismiss="modal">Close</button>
        </form>
    </div>
</div>
<script>
    $(document).ready(function() {
        $('.select2').select2();
        $("#importCsv #importCsvBtn").click(function(e) {
            $('#success-msg').hide();
            $('#error-msg').hide();
            e.preventDefault();
            e.stopPropagation(); // only neccessary if something above is listening to the (default-)event too
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            var formData = new FormData($('#importCsv #importCsvFrm')[0]);
            $.ajax({
                url: "{{  route('import.user') }}",
                type: 'POST',
                cache: false,
                contentType: false,
                processData: false,
                data: formData,
                error: function(error) {
                    $('#error-msg ul').html('');
                    $('#success-msg ul').html('');
                    var error = error.responseJSON.errors;
                        $.each(error, function(index, value) {
                            $('#error-msg ul').append('<li>' + value + '</li>');
                            $('#error-msg').show();
                        });
                },
                success: function(data) {
                    $('#error-msg ul').html('');
                    $('#success-msg ul').html('');
                    if ($.isEmptyObject(data.error)) {
                        var success = data.success;
                        $('#success-msg ul').append('<li>' + success + '</li>');
                        $('#success-msg').show();
                        setTimeout(function(){ location.reload(); }, 5000)

                    } else {
                        var error = data.error;
                        console.log(data.error);
                        $.each(error, function(index, value) {
                            $('#error-msg ul').append('<li>' + value + '</li>');
                            $('#error-msg').show();
                        });
                    }
                }
            });
        });
    });
</script>
