@extends('template.master')

@section('title', 'Group Subscription Management')

@push('styles')
<style>
    .dataTable {
        width: none !important;
    }

    .modal-content>.modal-body>p>img {
        object-fit: contain;
        width: 100% !important;
        height: 100% !important;
    }
</style>
@endpush
@section('content')

<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">Group Subscription Management</h3>
                    <a href="{{ route('group.subscription.create') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Add</a>
                    <a href="{{ route('group.transaction.index') }}" class="btn float-right" style="background: #e2e6ea;color: #000000 !important;margin-right:5px;">Transactions</a>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                    @if(session()->has('message'))
                    <div class="alert alert-success alert-dismissible">
                        {{ session()->get('message') }}
                    </div>
                    @endif
                    <div class="row my-2">
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Company</strong></label>
                            <input type="text" name="company_name" id="company_name" class="form-control" placeholder="Search Company Name">
                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Contact Name </strong></label>
                            <input type="text" name="contact_name" id="contact_name" class="form-control" placeholder="Search Contact Name">

                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Job Title</strong></label>
                            <input type="text" name="title" id="title" class="form-control" placeholder="Search Job Title">
                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Email</strong></label>
                            <input type="text" name="email" id="email" class="form-control" placeholder="Search Email">
                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Phone</strong></label>
                            <input type="text" name="phone_no" id="phone_no" class="form-control" placeholder="Search Phone">
                        </div>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered dt-responsive display" id="example" style="width:none !important">
                            <thead>
                                <tr>
                                    <!-- <th style="" class="never">Id.</th>
                                <th style="width: 10px" class="all">No.</th> -->
                                    <th class="all">Action</th>
                                    <th class="all">Company</th>
                                    <th class="desktop">Contact Name</th>
                                    <th class="desktop">Job Title</th>
                                    <th class="desktop">Email</th>
                                    <th class="desktop">Phone</th>
                                    <!-- <th class="desktop">Start Date</th> -->
                                    <th class="desktop">Subscription #</th>
                                    <!-- <th class="desktop">Subscription Type</th> -->
                                    <th class="desktop">Status</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="importCsv" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog  modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Preview</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="subscription" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog  modal-lg" role="document">
        <div class="modal-content">
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $('#importCsv').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget)
            var group_subscription_id = button.data('group_subscription_id')
            var modal = $(this)
            $.ajax({
                url: '{{ route("import.user.overlay.ajax") }}',
                type: 'POST',
                data: {
                    "_token": "{{ csrf_token() }}",
                    group_subscription_id: group_subscription_id,
                },
                success: function(response) {
                    modal.find('.modal-dialog').html(response.html)
                },
                error: function(xhr, status, error) {
                    // Handle any errors
                }
            });
        })

        let table = $('#example').DataTable({
            columnDefs: [{
                "defaultContent": "-",
                "targets": "_all"
            }],
            processing: true,
            serverSide: true,
            searching: false,
            info: false,
            paging: true,
            lengthChange: true,
            autoWidth: true,
            responsive: true,
            order: [1, 'asc'],
            ajax: {
                url: "{{ route('group.subscription.ajax.list') }}",
                method: "POST",
                data: function(d) {
                    d.company_name = $('#company_name').val();
                    d.contact_name = $('#contact_name').val();
                    d.title = $('#title').val();
                    d.email = $('#email').val();
                    d.phone_no = $('#phone_no').val();
                }
            },
            columns: [{
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'company_name',
                    name: 'company_name',
                },
                {
                    data: 'contact_name',
                    name: 'contact_name'
                },
                {
                    data: 'title',
                    name: 'title'
                },
                {
                    data: 'email',
                    name: 'email'
                },
                {
                    data: 'phone_no',
                    name: 'phone_no'
                },
                // {
                //     data: 'subscription_start_date',
                //     name: 'subscription_start_date'
                // },
                {
                    data: 'number_of_subscription',
                    name: 'number_of_subscription',
                },
                // {
                //     data: 'subscription_type',
                //     name: 'subscription_type'
                // },
                {
                    data: 'group_subscription_status',
                    name: 'group_subscription_status'
                }
            ]
        });
        $('#company_name, #contact_name, #title, #email, #phone_no').change(function() {
            redrawTable(table);
        });

        $('#subscription').on('show.bs.modal', function(event) {

            var button = $(event.relatedTarget)
            var group_subscription_id = button.data('group_subscription_id')
            var modal = $(this)
            $.ajax({
                url: '{{ route("group.subscription.purchase.ajax") }}',
                type: 'POST',
                data: {
                    "_token": "{{ csrf_token() }}",
                    group_subscription_id: group_subscription_id,
                },
                success: function(response) {
                    modal.find('.modal-content').html(response.html);
                    modal.find('#subscription_start_date').datepicker({
                        minDate: 0,
                        dateFormat: "yy-mm-dd"
                    });
                },
                error: function(xhr, status, error) {
                    // Handle any errors
                }
            });
        })
    });

    function redrawTable(table) {
        table.draw();
    }

    function deleteRecord(obj) {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        var userURL = obj.data('url');
        var r = confirm("Are you sure you want to remove this Group Subscription?");
        if (r == true) {
            $('#delete_' + userURL).submit()
        }
    }
</script>
@endpush
