<div class="modal-content">
    <form class="form" id="subscriptionFrm" enctype="multipart/form-data" method="post">

        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Purchase Subscription</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div class="alert" id="message" style="display:none;">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <ul></ul>
            </div>
            <input type="hidden" value="{{$group_subscription_id}}" name="group_subscription_id" id="group_subscription_id">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="exampleInputName1"><b>Subscription Level </b> <span class="text-danger">*</span></label>
                        <select id='subscription_id' name="subscription_id" class="form-control" required>
                            <option value="">Select Subscription</option>
                            @foreach($subscriptions as $subscription_id => $subscription_name)
                            <option value="{{$subscription_id}}">{{$subscription_name}}</option>
                            @endforeach
                        </select>
                        <p style="color:red;font-size:12px;display:block;" class="error"></p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <label for="assistant_phone_no" class="mt-2">Subscription Type</label>
                    <div class="form-group clearfix">
                        <div class="icheck-success d-inline">
                            <input type="radio" name="subscription_type" value="1" id="radioSuccess1" checked>
                            <label for="radioSuccess1">
                                Monthly
                            </label>
                        </div>
                        <div class="icheck-danger d-inline">
                            <input type="radio" name="subscription_type" value="2" id="radioDanger2">
                            <label for="radioDanger2">
                                Yearly
                            </label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="title" class="mt-2">Amount  <span class="text-danger">*</span></label>
                        <input type="text" class="form-control" id="amount" name="amount" placeholder="Amount" required value="">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="subscription_start_date" class="mt-2">Start Date  <span class="text-danger">*</span></label>
                        <input type="text" class="form-control" id="subscription_start_date" name="subscription_start_date" placeholder="Start Date" required value="">
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn" id="subscriptionBtn" style="background: #000000;color: #f0ac63 !important;">Purchase</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
    </form>

</div>

<script>
    $(document).ready(function() {
        $('#message').hide();

        $(document).on('click', '#subscription #subscriptionBtn', function(e) {
            $("#subscription #subscriptionFrm").validate({
                errorElement: "span",
                errorClass: "error",
                rules: {
                    subscription_id: {
                        required: true,
                    },
                    subscription_type: {
                        required: true
                    },
                    amount: {
                        required: true,
                        number: true
                    },
                    subscription_start_date: {
                        required: true
                    },
                },
                messages: {
                    subscription_id: {
                        required: 'Subscription required.',
                    },
                    subscription_type: {
                        required: 'Subscription Type required.',
                    },
                    amount: {
                        required: 'Amount required.',
                    },
                    subscription_start_date: {
                        required: 'Subscription Start Date required.',
                    }
                },
                highlight: function(element, errorClass) {
                    $(element).removeClass(errorClass);
                },
                errorPlacement: function(error, element) {
                    element.after(error); // default error placement
                },
                submitHandler: function(form) {
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });
                    var formData = new FormData($('#subscription #subscriptionFrm')[0]);
                    $.ajax({
                        url: "{{  route('group.subscription.purchase') }}",
                        type: 'POST',
                        cache: false,
                        contentType: false,
                        processData: false,
                        data: formData,
                        error: function(error) {
                            $('#message ul').html('');
                            var error = error.responseJSON.errors;
                            $.each(error, function(index, value) {
                                $('#message ul').append('<li>' + value + '</li>');
                                $('#message').show();
                            });
                        },
                        success: function(data) {
                            $('#message ul').html('');
                            if(data.hasOwnProperty('error') == true){
                                $('#message').addClass('alert-danger');
                                var error = data.error;
                                $.each(error, function(index, value) {
                                    $('#message ul').append('<li>' + value + '</li>');
                                    $('#message').show();
                                });
                            } else if(data.hasOwnProperty('success') == true){
                                $('#message').addClass('alert-success');
                                var success = data.success;
                                $('#message ul').append('<li>' + success + '</li>');
                                $('#message').show();
                                setTimeout(function() {
                                    location.reload();
                                }, 5000)
                            }else {
                                $('#message').addClass('alert-info');
                                var info = data.info;
                                $.each(info, function(index, value) {
                                    $('#message ul').append('<li>' + value + '</li>');
                                    $('#message').show();
                                });
                            }
                        }
                    });
                }
            });
        });

        $('#subscription_id').change(function(event) {
            var subscription_id = $('#subscription_id :selected').val();
            var group_subscription_id = $('#group_subscription_id').val();

            $.ajax({
                url: '{{ route("subscription.exists") }}',
                type: 'POST',
                data: {
                    "_token": "{{ csrf_token() }}",
                    subscription_id: subscription_id,
                    group_subscription_id: group_subscription_id,
                },
                success: function(response) {
                    $('#subscription_start_date').val(response);
                },
                error: function(xhr, status, error) {
                    // Handle any errors
                }
            });
        });
    });
</script>
