@extends('template.master')

@push('styles')
<style>
    .note-editable {
        min-height: 300px !important;
    }
</style>
@endpush
@section('content')

<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">Home Video Management</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                    @if ($message = Session::get('success'))
                    <div class="alert alert-success alert-block">
                        <button type="button" class="close" data-dismiss="alert">×</button>
                        <strong>{{ $message }}</strong>
                    </div>
                    @endif
                    <form action="{{ route('store.video') }}" method="POST" enctype="multipart/form-data" id="taxo-form">
                        @csrf
                        <input type="hidden" name="id" value=" {{ @$video->id }}">
                        <div class="row">
                            <div class="col-md-12 col-sm-12 form-group">
                                <label>Select Video 1</label>
                                <input type="text" name="video1" class="form-control" value="{{ $video->video1 }}" />
                                @if($errors->has('video1'))
                                <div class="error">{{ $errors->first('video1') }}</div>
                                @endif
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12  col-sm-12 form-group">
                                <label>Content 1</label>
                                <div class="card card-outline card-info">
                                    <div class="card-body">
                                        <textarea id="content1" name="content1" class="summernote">{{ @$video->content1 }}</textarea>
                                        @if($errors->has('content1'))
                                        <div class="error">{{ $errors->first('content1') }}</div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 col-sm-12 form-group">
                                <label>Select Video 2</label>
                                <input type="text" name="video2" class="form-control"  value="{{ $video->video2 }}" />
                                @if($errors->has('video2'))
                                <div class="error">{{ $errors->first('video2') }}</div>
                                @endif
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 col-sm-12 form-group">
                                <label>Content 2</label>
                                <div class="card card-outline card-info">
                                    <div class="card-body">
                                        <textarea id="content2" name="content2" class="summernote">{{ @$video->content2 }}</textarea>
                                        @if($errors->has('content2'))
                                        <div class="error">{{ $errors->first('content2') }}</div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 form-group">
                                <button type="submit" class="btn btn-success">Save</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(function() {
        $('.summernote').summernote();
        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            ignore: '.note-editor *',
            rules: {
                content1: {
                    required: true,
                },
                content2: {
                    required: true,
                }
            },
            messages: {
                content1: {
                    required: 'Content 1 required.',
                },
                content2: {
                    required: 'Content 2 required.',
                }
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            },
            errorPlacement: function(error, element) {
                if (element.attr("class") == 'summernote') {
                    error.insertAfter(element.parent().find('.note-editor'));
                } else {
                    element.after(error); // default error placement
                }
            }
        });
    })
</script>
@endpush
