@extends('template.master')

@section('title', 'Add/Edit Industry')

@section('content')
<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h4 class="card-title" style="color: #f0ac63 !important;"><strong>Add/Edit Industry</strong></h4>
                    <a href="{{ route('industry.list') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Back</a>
                </div>
                <div class="card-body">
                    <form class="form" id="taxo-form" action="{{ route('industry.add') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" class="form-control" id="industry_id" name="industry_id" value="{{ @$industry->industry_id }}">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="exampleInputName1" class="mt-2">Name <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="industry_name" name="industry_name" placeholder="Name" value="{{ @$industry->industry_name }}">
                                    @if($errors->has('industry_name'))
                                    <div class="error">{{ $errors->first('industry_name') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <label for="category_status" class="mt-2">Status</label>
                                <div class="form-group clearfix">
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="industry_status" value="1" id="radioSuccess1" {{  (isset($industry->industry_status)) && @$industry->industry_status==1 || request()->route('id')==0 ? "checked" : "" }}>
                                        <label for="radioSuccess1">
                                            Active
                                        </label>
                                    </div>
                                    <div class="icheck-danger d-inline">
                                        <input type="radio" name="industry_status" value="0" id="radioDanger2" {{ (isset($industry->industry_status)) && @$industry->industry_status==0? "checked" : "" }}>
                                        <label for="radioDanger2">
                                            Inactive
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn mr-2 mt-5" id="submitTaxo" style="background: #000000;color: #f0ac63 !important;">Submit</button>
                        <a href="{{ route('industry.list') }}" class="btn btn-light mt-5">Cancel</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            rules: {
                industry_name: {
                    required: true,
                    maxlength: 255
                }
            },
            messages: {
                industry_name: {
                    required: 'Industry name required.',
                }
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            }
        });
    });
</script>
@endpush
