@extends('template.master')

@section('title', 'Industry Management')
@section('content')

<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">Industry Management</h3>
                    <a href="{{ route('industry.form','0') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Add</a>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                    @if(session()->has('message'))
                    <div class="alert alert-success alert-dismissible">
                        {{ session()->get('message') }}
                    </div>
                    @endif
                    @if(session()->has('message_wr'))
                    <div class="alert alert-danger alert-dismissible">
                        {{ session()->get('message_wr') }}
                    </div>
                    @endif
                    <div class="table-responsive">
            <table class="table table-bordered dt-responsive display" id="example2">
                <thead>
                    <tr>
                        <!-- <th class="never">Id.</th>
                        <th width="10%" class="all">No.</th> -->
                        <th width="10%" class="all">Action</th>
                        <th width="50%" class="all">Name</th>
                        <th width="90%" class="desktop">Status</th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
        </div>
        <!-- /.card-body -->

        <div class="card-footer">

        </div>
    </div>
</div>


</div>
</div>
@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        let table = $('#example2').DataTable({
            columnDefs: [{
                "defaultContent": "-",
                "targets": "_all"
            }],
            processing: true,
            serverSide: true,
            searching: false,
            info: false,
            paging : true,
            lengthChange : true,
            autoWidth : true,
            responsive:true,
            order:[1, 'asc'],
            ajax: {
                url: "{{ route('industry.ajaxList') }}",
                method: "POST",
            },
            columns: [
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'industry_name',
                    name: 'industry_name'
                },
                {
                    data: 'industry_status',
                    name: 'industry_status'
                }
            ]

        });
    });
</script>
@endpush
