@extends('template.master')

@section('title', 'Add/Edit Interest')

@section('content')
<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h4 class="card-title" style="color: #f0ac63 !important;"><strong>Add/Edit Interest</strong></h4>
                    <a href="{{ route('interest.list') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Back</a>
                </div>
                <div class="card-body">
                    <form class="form" id="taxo-form" action="{{ route('interest.add') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" class="form-control" id="interest_id" name="interest_id" value="{{ @$interest->interest_id }}">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="exampleInputName1" class="mt-2">Name <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="interest_name" name="interest_name" placeholder="Name" value="{{ @$interest->interest_name }}">
                                    @if($errors->has('interest_name'))
                                    <div class="error">{{ $errors->first('interest_name') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <label for="interest_status" class="mt-2">Status</label>
                                <div class="form-group clearfix">
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="interest_status" value="1" id="radioSuccess1" {{  (isset($interest->interest_status)) && @$interest->interest_status==1 || request()->route('id')==0 ? "checked" : "" }}>
                                        <label for="radioSuccess1">
                                            Active
                                        </label>
                                    </div>
                                    <div class="icheck-danger d-inline">
                                        <input type="radio" name="interest_status" value="0" id="radioDanger2" {{ (isset($interest->interest_status)) && @$interest->interest_status==0? "checked" : "" }}>
                                        <label for="radioDanger2">
                                            Inactive
                                        </label>
                                    </div>
                                    @if($errors->has('interest_status'))
                                    <div class="error">{{ $errors->first('interest_status') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn mr-2 mt-5" id="submitTaxo" style="background: #000000;color: #f0ac63 !important;">Submit</button>
                        <a href="{{ route('interest.list') }}" class="btn btn-light mt-5">Cancel</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            rules: {
                interest_name: {
                    required: true,
                    maxlength: 255
                }
            },
            messages: {
                interest_name: {
                    required: 'Interest name required.',
                }
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            }
        });
    });
</script>
@endpush
