@extends('template.master')

@section('title', 'Add/Edit Publisher')

@push('styles')
<!-- Select2 -->
{{-- <link rel="stylesheet" href="{{ asset('plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
<link rel="stylesheet" href="{{ asset('dist/css/adminlte.min.css')}}"> --}}
<style>
    .img_pre {
        width: 200px;
        height: 200px;
        padding: 10px;
    }

    .note-editable {
        min-height: 300px !important;
    }

    .error {
        color: red;
    }
</style>
@endpush


@section('content')
<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h4 class="card-title" style="color: #f0ac63 !important;"><strong>Add/Edit Publisher</strong></h4>
                    <a href="{{ route('publish.list') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Back</a>
                </div>
                <div class="card-body">
                    <form class="form" id="taxo-form" action="{{ route('publish.add') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" class="form-control" id="publisher_id" name="publisher_id" value="{{ @$publisher->publisher_id }}">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="exampleInputName1" class="mt-2">Name <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="publisher_name" name="publisher_name" placeholder="Name" value="{{ @$publisher->publisher_name }}">
                                    @if($errors->has('publisher_name'))
                                        <div class="error">{{ $errors->first('publisher_name') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                             <label for="publisher_status" class="mt-2">Status</label>
                                <div class="form-group clearfix">
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="publisher_status" value="1" id="radioSuccess1" {{  (isset($publisher->publisher_status)) && @$publisher->publisher_status==1 || request()->route('id')==0 ? "checked" : "" }}>
                                        <label for="radioSuccess1">
                                            Active
                                        </label>
                                    </div>
                                    <div class="icheck-danger d-inline">
                                        <input type="radio" name="publisher_status" value="0" id="radioDanger2" {{ (isset($publisher->publisher_status)) && @$publisher->publisher_status==0? "checked" : "" }}>
                                        <label for="radioDanger2">
                                            Inactive
                                        </label>
                                    </div>
                                    @if($errors->has('publisher_status'))
                                        <div class="error">{{ $errors->first('publisher_status') }}</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn mr-2 mt-5" id="submitTaxo" style="background: #000000;color: #f0ac63 !important;">Submit</button>
                        <a href="{{ route('publish.list') }}" class="btn btn-light mt-5">Cancel</a>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('child-scripts')
<script>
    $(document).ready(function() {
        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            rules: {
                publisher_name: {
                    required: true,
                    maxlength: 255
                }
            },
            messages: {
                publisher_name: {
                    required: 'Publisher name required.',
                }
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            }
        });
    });
</script>
@endpush


