@extends('template.master')
@section('title', 'Add/Edit Subscription')
@push('styles')
<style>
    .note-editable {
        min-height: 300px !important;
    }
</style>
@endpush


@section('content')
<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h4 class="card-title" style="color: #f0ac63 !important;"><strong>Add/Edit Subscription</strong></h4>
                    <a href="{{ route('subscription.list') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Back</a>
                </div>
                <div class="card-body">
                    <form class="form" id="taxo-form" action="{{ route('subscription.add') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" class="form-control" id="subscription_id" name="subscription_id" value="{{ @$subscription->subscription_id }}">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="subscription_level" class="mt-2">Subscription Level : </label> Level {{ @$subscription->subscription_level}}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputName1" class="mt-2">Subscription Name <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="subscription_name" name="subscription_name" placeholder="Subscription Name" value="{{ @$subscription->subscription_name }}">

                                    @foreach($errors->get('subscription_name') as $error)
                                            <div class="error">{{ $error }}</div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                        <div class="row">
                        <div class="col-md-12">
                            <label for="exampleInputName1" class="mt-2">Subscription Description</label>
                            <div class="card card-outline card-info">
                                <div class="card-body">
                                    <textarea id="subscription_content" name="subscription_content" class="summernote">{{ @$subscription->subscription_content }}</textarea>
                                </div>
                            </div>
                        </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="subscription_price_per_month" class="mt-2">Subscription Price Per Month <span class="text-danger">*</span></label>
                                    <input type="number" class="form-control" id="subscription_price_per_month" name="subscription_price_per_month" placeholder="Subscription Price Per Month" value="{{ @$subscription->subscription_price_per_month }}">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="subscription_price_per_year" class="mt-2">Subscription Price Per Year <span class="text-danger">*</span></label>
                                    <input type="number" class="form-control" id="subscription_price_per_year" name="subscription_price_per_year" placeholder="Subscription Price Per Year" value="{{ @$subscription->subscription_price_per_year }}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <label for="spotlight_member_status" class="mt-2">Status</label>
                                <div class="form-group clearfix">
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="subscription_status" value="1" id="radioSuccess1" {{  (isset($subscription->subscription_status)) && @$subscription->subscription_status==1 ? "checked" : "" }} checked>
                                        <label for="radioSuccess1">
                                            Active
                                        </label>
                                    </div>
                                    <div class="icheck-danger d-inline">
                                        <input type="radio" name="subscription_status" value="0" id="radioDanger2" {{ (isset($subscription->subscription_status)) && @$subscription->subscription_status==0 ? "checked" : "" }}>
                                        <label for="radioDanger2">
                                            Inactive
                                        </label>
                                    </div>
                                </div>
                                @if($errors->has('subscription_status'))
                                    <div class="error">{{ $errors->first('subscription_status') }}</div>
                                @endif
                            </div>
                        </div>
                        <button type="submit" class="btn mr-2 mt-5" id="submitTaxo" style="background: #000000;color: #f0ac63 !important;">Submit</button>
                        <a class="btn btn-light mt-5" href="{{url('/subscription-list')}}">Cancel</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(function() {
        $('.summernote').summernote();
        $("#taxo-form").validate({
            errorElement: "span",
            errorClass: "error",
            ignore: '.note-editor *',
            rules: {
                subscription_name: {
                    required: true,
                    maxlength: 255
                },
                subscription_content: {
                    required: true,
                },
                subscription_price_per_month: {
                    required: true,
                    max: 99999
                },
                subscription_price_per_year: {
                    required: true,
                    max: 99999
                }
            },
            messages: {
                subscription_name: {
                    required: 'Subscription name required.',
                },
                subscription_content: {
                    required: 'Subscription content required.',
                },
                subscription_price_per_month: {
                    required: 'Subscription price per month required.',
                },
                subscription_price_per_year: {
                    required: 'Subscription price per year required.',
                }
            },
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            },
            errorPlacement: function(error, element) {
                if (element.attr("class") == 'summernote') {
                    error.insertAfter(element.parent().find('.note-editor'));
                }  else {
                    element.after(error); // default error placement
                }
            }
        });
    })
</script>
@endpush
