@extends('template.master')
@section('title', 'Subscription Management')
@section('content')
<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">Subscription Management</h3>
                    <!-- <a href="{{ route('subscription.form') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Add</a> -->
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                    @if(session()->has('message'))
                    <div class="alert alert-success alert-dismissible">
                        {{ session()->get('message') }}
                    </div>
                    @endif
                    @if(session()->has('message_wr'))
                    <div class="alert alert-danger alert-dismissible">
                        {{ session()->get('message_wr') }}
                    </div>
                    @endif
                    <div class="table-responsive">
                    <table class="table table-bordered  dt-responsive display" id="example2">
                        <thead>
                            <tr>
                                <!-- <th class="never">Sub No.</th>
                                <th width="5%" class="all">No.</th> -->
                                <th width="5%" class="all">Action</th>
                                <th width="10%" class="all">Subscription Level</th>
                                <th width="45%" class="all">Subscription Name</th>
                                <th width="10%" class="desktop">Subscription Price Per Month</th>
                                <th width="10%" class="desktop">Subscription Price Per Year</th>
                                <th width="10%" class="desktop">Status</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
                </div>
                <!-- /.card-body -->
            </div>
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        let table = $('#example2').DataTable({
            columnDefs: [{
                "defaultContent": "-",
                "targets": "_all"
            }],
            processing: true,
            serverSide: true,
            searching: false,
            info: false,
            paging : true,
            lengthChange : true,
            autoWidth : true,
            responsive:true,
            order:[1, 'asc'],
            ajax: {
                url: "{{ route('subscription.ajax.list') }}",
                method: "POST",
                data: function(d) {
                    d.subscription_id = $('#subscription_id').val();
                    d.subscription_name = $('#subscription_name').val();
                }
            },
            columns: [
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'subscription_level',
                    name: 'subscription_level'
                },
                {
                    data: 'subscription_name',
                    name: 'subscription_name'
                },
                {
                    data: 'subscription_price_per_month',
                    name: 'subscription_price_per_month'
                },
                {
                    data: 'subscription_price_per_year',
                    name: 'subscription_price_per_year'
                },
                {
                    data: 'subscription_status',
                    name: 'subscription_status'
                }
            ]

        });

        function redrawTable() {
            table.draw();
        }

        $('#subscription_id, #subscription_name').change(redrawTable);
    });
</script>
@endpush
