@extends('template.master')
@section('title', 'Subscription List')
@section('content')
<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">Subscription List</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                    @if ($message = Session::get('success'))
                    <div class="alert alert-success alert-block">
                        <button type="button" class="close" data-dismiss="alert">×</button>
                        <strong>{{ $message }}</strong>
                    </div>
                @endif

                @if ($message = Session::get('error'))
                    <div class="alert alert-danger alert-block">
                        <button type="button" class="close" data-dismiss="alert">×</button>
                        <strong>{{ $message }}</strong>
                    </div>
                @endif
                    <div class="table-responsive">
                    <table class="table table-bordered  dt-responsive display" id="example2">
                        <thead>
                            <tr>
                                
                                <th width="5%" class="all">Action</th>
                                <th width="10%" class="all">Subscription Level</th>
                                <th width="45%" class="all">Subscription Name</th>
                                <th width="10%" class="desktop">Subscription Price Per Month</th>
                                <th width="10%" class="desktop">Subscription Price Per Year</th>
                                <th width="10%" class="desktop">Status</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($data as $item)
                                <tr>
                                    <td><a href="{{ route('add-subscription',$item->subscription_id) }}" class="btn btn-light"  style="background: #e0a800;" title="Purchased Subscription"><i class="fa fa-shopping-cart" aria-hidden="true"></i></button></td>
                                    <td>{{$item->subscription_level}}</td>
                                    <td>{{$item->subscription_name}}</td>
                                    <td>{{$item->subscription_price_per_month}}</td>
                                    <td>{{$item->subscription_price_per_year}}</td>
                                    <td>{{$item->subscription_status == 1 ? 'Active' : 'Inactive'}}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                </div>
                <!-- /.card-body -->
            </div>
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        let table = $('#example2').DataTable({
            searching: false,
            info: false,
            paging : true,
            lengthChange : true,
            autoWidth : true,
            responsive:true,
        });

    });
</script>
@endpush
