@extends('template.master')

@section('title', 'Transaction')

@push('styles')
<style>
    .dataTable {
        width: none !important;
    }
</style>
@endpush
@section('content')

<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">Transaction List</h3>
                    {{-- @if(isset($app_user_id) && !empty($app_user_id))
                        <a href="{{ route('app.user.index') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Back</a>
                    @endif --}}
                    </div>
                <!-- /.card-header -->
                <div class="card-body">
                    @if(session()->has('message'))
                    <div class="alert alert-success alert-dismissible">
                        {{ session()->get('message') }}
                    </div>
                    @endif
                    
                    <div class="table-responsive">
                        <table class="table table-bordered dt-responsive display" id="example" style="width:none !important">
                        <thead>
                            <tr>
                                <th class="all">Name </th>
                                <th class="all">Job Title</th>
                                <th class="desktop">Contact No</th>
                                <th class="desktop">Type</th>
                                <th class="desktop">Authorize.net Id</th>
                                <th class="desktop">Date</th>
                                <th class="desktop">Subscription</th>
                                <th class="desktop">Subscription Type</th>
                                <th class="desktop">Message</th>
                                <th class="desktop">Status</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($data as $item)
                                <tr>
                                    <td>{{$item->first_name . ' '.$item->last_name}}</td>
                                    <td>{{$item->title}}</td>
                                    <td>{{$item->phone_no}}</td>
                                    <td>{{$item->type == 1 ? 'Subscription' : 'Transaction'}}</td>
                                    <td>{{$item->authorize_net_id}}</td>
                                    <td>{{$item->date}}</td>
                                    <td>{{$item->subscription_name}}</td>
                                    <td>{{$item->subscription_type == 1 ? 'Monthly' : 'Yearly'}}</td>
                                    <td>{{$item->message}}</td>
                                    <td>{{$item->status}}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        let table = $('#example').DataTable({
            processing: true,
            paging : true,
            lengthChange : true,
            autoWidth : true,
            responsive:true,
        });
    });
</script>
@endpush
