@extends('template.master')
@section('title', 'User Management')
@section('content')

<div class=" mt-4">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card card-secondary">
                <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                    <h3 class="card-title">User Management</h3>
                    <a href="{{ route('users.form') }}" class="btn float-right" style="background: #f0ac63;color: #000000 !important;">Add</a>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                    @if(session()->has('message'))
                    <div class="alert alert-success alert-dismissible">
                        {{ session()->get('message') }}
                    </div>
                    @endif
                    <div class="row my-2">
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Role</strong></label>
                            <select id="user_role" name="user_role" class="form-control">
                                <option value="">Select Role</option>
                                <option value="1">Admin</option>
                                <option value="2">Assistant</option>
                            </select>
                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Full Name </strong></label>
                            <input type="text" name="full_name" id="full_name" class="form-control" placeholder="Search Full Name">
                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Phone </strong></label>
                            <input type="text" name="phone_number" id="phone_number" class="form-control" placeholder="Search Phone">
                        </div>
                        <div class="form-group col-sm-12 col-md-3">
                            <label><strong>Email </strong></label>
                            <input type="text" name="email" id="email" class="form-control" placeholder="Search Email">
                        </div>
                    </div>
                    <div class="table-responsive">
                    <table class="table table-bordered dt-responsive display" id="example2">
                        <thead>
                            <tr>
                                <!-- <th class="never">User Id</th>
                                <th width="5%" class="all">No.</th> -->
                                <th width="10%" class="desktop">Action</th>
                                <th width="20%" class="all">Full Name</th>
                                <th width="20%" class="all">Email</th>
                                <th width="10%" class="desktop">Phone</th>
                                <th width="10%" class="desktop">Role</th>
                                <th width="10%" class="desktop">Status</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                    </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">

                </div>
            </div>
        </div>


    </div>
</div>
@endsection
@push('child-scripts')
<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        let table = $('#example2').DataTable({
            columnDefs: [{
                "defaultContent": "-",
                "targets": "_all"
            }],
            processing: true,
            serverSide: true,
            searching: false,
            info: false,
            paging : true,
            lengthChange : true,
            autoWidth : true,
            responsive:true,
            order:[1, 'asc'],
            ajax: {
                url: "{{ route('user.ajax.list') }}",
                method: "POST",
                data: function(d) {
                    d.full_name = $('#full_name').val();
                    d.phone_number = $('#phone_number').val();
                    d.email = $('#email').val();
                    d.user_role = $('#user_role').val();
                }
            },
            columns: [
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'full_name',
                    name: 'full_name'
                },
                {
                    data: 'email',
                    name: 'email'
                },
                {
                    data: 'phone_number',
                    name: 'phone_number'
                },
                {
                    data: 'user_role',
                    name: 'user_role'
                },
                {
                    data: 'user_status',
                    name: 'user_status'
                }
            ]
        });

        function redrawTable() {
            table.draw();
        }

        $('#full_name, #phone_number, #email, #user_role').change(redrawTable);


    });
</script>
@endpush
